Bug 189494 - [PATCH] devel/magit: add GIT_SUBVERSION option
Summary: [PATCH] devel/magit: add GIT_SUBVERSION option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-09 09:00 UTC by Yasuhiro Kimura
Modified: 2014-06-09 16:37 UTC (History)
2 users (show)

See Also:


Attachments
magit-emacs24-1.2.0.patch (648 bytes, patch)
2014-05-09 09:00 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2014-05-09 09:00:00 UTC
[PORTTOOLS: DESCRIBE CHANGES]
Add GIT_SUBVERSION option, which makes magit use devel/git-subversion 
instead of devel/git as backend.

Port maintainer (kuriyama@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-29 05:26:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 commit-hook freebsd_committer 2014-06-09 14:30:41 UTC
A commit references this bug:

Author: kuriyama
Date: Mon Jun  9 14:30:08 UTC 2014
New revision: 357156
URL: http://svnweb.freebsd.org/changeset/ports/357156

Log:
  - Stagify.

  PR:		ports/189494
  Submitted by:	joe@thrallingpenguin.com

Changes:
  head/www/fswiki/Makefile
Comment 3 commit-hook freebsd_committer 2014-06-09 16:36:47 UTC
A commit references this bug:

Author: pi
Date: Mon Jun  9 16:36:44 UTC 2014
New revision: 357183
URL: http://svnweb.freebsd.org/changeset/ports/357183

Log:
  devel/magit: fix possible 'run dependency on git breakage' with an option

  Thanks for Thomas Gellekum <Thomas.Gellekum@gmx.de> for the bug report
  and review of the patch.

  PR:             ports/189494
  Submitted-By:   Yasuhiro KIMURA (yasu@utahime.org)
  Approved-By:    maintainer (timeout), mentors (implicit)

Changes:
  head/devel/magit/Makefile
Comment 4 Kurt Jaeger freebsd_committer 2014-06-09 16:37:53 UTC
maintainer timeout, closing PR now.